# opentl::core::cvdata::Skeleton Class Reference

Abstract class for storing object related valuee data. More...

Inherits opentl::core::cvdata::CvData.

List of all members.

## Classes
class | T_SKEL_NODE
| Node structure for the skeleton tree. More...
## Public Member Functions
int | addChildLink (opentl::core::cvdata::CvData::DataReprType poseType, math::Transform &Tref, int parentId=-1)
| Add skeleton child node, and update the list.
T_SKEL_NODE * | getNode (std::size_t nodeId)
const std::vector< T_SKEL_NODE * > & | getNodes () const
std::size_t | links () const
virtual Skeleton & | operator= (const Skeleton &value)
| Skeleton (const Skeleton &other)
| Copy constructor.
| Skeleton ()
| Constructor.
virtual | ~Skeleton ()
| Destructor.

## Detailed Description

Abstract class for storing object related valuee data.

Author:
  Giorgio Panin <panin@in.tum.de>

Storage for the tree structure and degrees of freedom of articulated objects

## Constructor & Destructor Documentation

opentl::core::cvdata::Skeleton::Skeleton | ( |  | ) |

Constructor.

opentl::core::cvdata::Skeleton::Skeleton | ( | const Skeleton & | other | ) |

Copy constructor.

virtual opentl::core::cvdata::Skeleton::~Skeleton | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

int opentl::core::cvdata::Skeleton::addChildLink | ( | opentl::core::cvdata::CvData::DataReprType | poseType,
|  | math::Transform & | Tref,
|  | int | parentId = `-1` |
| ) |  |  |

Add skeleton child node, and update the list.

Parameters:

  | parentId | ID of the parent node
  | poseType | degrees of freedom of the link
  | Tref | Inter-link structural T matrix Output: ID for the child node

T_SKEL_NODE* opentl::core::cvdata::Skeleton::getNode | ( | std::size_t | nodeId | ) |

const std::vector<T_SKEL_NODE*>& opentl::core::cvdata::Skeleton::getNodes | ( |  | ) | const`[inline]`

std::size_t opentl::core::cvdata::Skeleton::links | ( |  | ) | const

virtual Skeleton& opentl::core::cvdata::Skeleton::operator= | ( | const Skeleton & | value | ) | `[virtual]`